Bug 47176 - Missing update package for XFree86-I128
Missing update package for XFree86-I128
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-03 16:32 EDT by Piet E Barber
Modified: 2007-04-18 12:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-05 18:16:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Piet E Barber 2001-07-03 16:32:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-22 i686; en-US; rv:0.9.1)

Description of problem:
Background: On 5/24/2001, RedHat issued an upgrade for all components of
XFree86.  There is a different package for each server.  There is a package
with the version number of 3.3.36-38 for each version that was found in
3.3.6-35, with one exception. 

There is no package XFree86-I128-3-3.6-38.i386.rpm found in the Errata
page, or on the FTP server. 

How reproducible:

Steps to Reproduce:
1.Check out CD distribution look in /mnt/cdrom/RedHat/RPMS/
2. see XFree86-I128-3.3.6-35.i386.rpm
3.Look at errata FTP site.   Seek updates directory. 
4. Note that there is a XFree86-whatever-server-3.3.6-38.i386.rpm
5. Note that there is no package of XFree86-I128-3.3.6-38.i386.rpm

Additional info:

The package in question should be found in:
Comment 1 Göran Uddeborg 2001-07-05 18:16:39 EDT
Looking in the spec file there is a comment I128 was removed (on April 1
according to the change log) since the 4.x server now works fine.

I'm sure that's true, and it is a good reason not to include it in 7.2.  But it
seems to me it might not be quite as good idea to remove it when issuing an
errata like this.  Or at least I think there ought to some comment instructing
those using the old I128 server to switch to the one from XF86 v4.
Comment 2 Mike A. Harris 2001-07-13 15:31:02 EDT
You are correct, the I128 server was removed from the 3.3.6 packaging.
It was *intended* to be for our next release after 7.1, however the
removal wasn't special cased, and creeped into the errata.  Yes, had I
noticed this, I would likely have left the I128 server enabled for the
errata.  That said, the XFree86 4.x server for I128 is perfectly
functional so there is no reason not to use it, which is the reason
we removed the I128 server from future builds.  So, while this was an
error on my part, I do not consider it critical.  Please use XFree86
4.x for I128, and report any bugs there are.  

XFree86 3.3.6 is going to go away very very very soon, and if people
using 3.3.6 do not use the 4.x servers and report bugs so they can 
get fixed, they are going to end up with unsupported hardware when 
we remove 3.3.6 from the distribution.  This goes for *all* hardware
supported by 3.3.6.  There is no estimated time when this will occur,
but it is coming sometime.  Of course they can always use previous releases
packages on a new dist,
but I would rather see 4.x natively support old hardware.

Note You need to log in before you can comment on or make changes to this bug.